Bug 110677 - Log file not rotated
Log file not rotated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-22 20:38 EST by Michal Jaegermann
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 09:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-11-22 20:38:04 EST
Description of problem:

acpid writes a log file /var/log/acpid but something corresponding
in /etc/logrotate.d/ is not there.

Version-Release number of selected component (if applicable):
acpid-1.0.2-5
Comment 1 Michal Jaegermann 2003-11-22 20:54:23 EST
A short experiment shows that acpid keeps a handle to an open log
file. Hence something like that

/var/log/acpid {
    missingok
    notifempty
    size=64k
    postrotate
        /etc/init.d/acpid condrestart >/dev/null 2>&1 || true
    endscript
}

for /etc/logrotate.d/acpid should do.
Comment 2 Miloslav Trmač 2004-08-09 09:34:57 EDT
Thanks, fixed in acpid-1.0.3-2, which should soon be in rawhide.

Note You need to log in before you can comment on or make changes to this bug.